HEARTBEAT(8)

NAME
heartbeat - Heartbeat subsystem for High-Availability Linux

SYNOPSIS
heartbeat

DESCRIPTION
heartbeat is a basic heartbeat subsystem for Linux-HA. It will run scripts at initialisation, and when machines go up or down. This version will also perform IP address takeover using gratuitous ARPs. It works correctly for a 2-node configuration, and is extensible to larger configurations.

It implements the following kinds of heartbeats:
   * Bidirectional Serial Rings ("raw" serial ports)
   * UDP/IP broadcast (ethernet, etc.)
   * UDP/IP multicast (ethernet, etc.)
   * special "ping" heartbeats for routers, etc.

Comprehensive documentation on the configuration and running of heartbeat can is supplied in HTML format with the distribution of the code. If this documentation is not installed on your system it can be found, with the latest distribution of heartbeat on http://www.linux-ha.org/

OPTIONS

-d  Increment debugging level. Higher levels are more verbose.

-r  Reloads heartbeat. It just sends it a SIGHUP. If nothing has changed nothing will happen. If ha.cf or authkeys has changed it will start heartbeat or reread authkeys. May not be used with -R.

-k  Kill (stop) heartbeat.

-s  Report heartbeat status.

-R  Heartbeat restart exec flag (internal use only). May not be used with -r.

-C  Heartbeat current resource state for restart (internal use only). Only valid with -R.

-V  Print out heartbeat version.

Note that most of these options are used for supporting the heartbeat init script, which provides the conventional start, stop, status and restart options (among others). It is recommended to use this rather than invoking the heartbeat command directly.

SEE ALSO
cl_status(1), apphbd(8)

DOCUMENTATION
More information may be found at http://www.linux-ha.org.

FILES

/etc/ha.cf, /etc/haresources, /etc/authkeys

AUTHORS
heartbeat - Alan Robertson <alanr@unix.sh> et al.
man page - Juan Pedro Paredes Caballero <juampe@retemail.es>
           Horms <horms@verge.net.au>